プロジェクト

GET https://olinke.com/api/projects/
curl --request GET \
--url 'https://olinke.com/api/projects/' \
--header 'Authorization: Bearer {api_key}' \
パラメータ 詳細 説明
search オプション 文字列 検索文字列。
search_by オプション 文字列 検索するフィールドは何ですか。許可されている値は:name
datetime_field オプション 文字列 許可された値: datetime, last_datetime
datetime_start オプション 文字列 Filter results starting from this datetime. Y-m-d H:i:s format.
datetime_end オプション 文字列 Filter results up to this datetime. Y-m-d H:i:s format.
order_by オプション 文字列 結果をどのフィールドで並べ替えるか。許可されている値は:project_id, datetime, last_datetime, name
order_type オプション 文字列 結果の並び順。許可されている値は、昇順のためのASCと、降順のためのDESCです。
page オプション 整数 結果を取得したいページ番号。デフォルトは1です。
results_per_page オプション 整数 1ページあたりの結果数はどのくらいにしますか。許可されている値は:10, 25, 50, 100, 250, 500, 1000。デフォルトは25です。
{
    "data": [
        {
            "id": 1,
            "name": "Development",
            "color": "#0e23cc",
            "last_datetime": null,
            "datetime": "2026-04-17 09:57:02",
        },
    ],
    "meta": {
        "page": 1,
        "results_per_page": 25,
        "total": 1,
        "total_pages": 1
    },
    "links": {
        "first": "https://olinke.com/api/projects?page=1",
        "last": "https://olinke.com/api/projects?page=1",
        "next": null,
        "prev": null,
        "self": "https://olinke.com/api/projects?page=1"
    }
}
GET https://olinke.com/api/projects/{project_id}
curl --request GET \
--url 'https://olinke.com/api/projects/{project_id}' \
--header 'Authorization: Bearer {api_key}' \
{
    "data": {
        "id": 1,
        "name": "Development",
        "color": "#0e23cc",
        "last_datetime": null,
        "datetime": "2026-04-17 09:57:02",
    }
}
POST https://olinke.com/api/projects
パラメータ 詳細 説明
name 必須 文字列 -
color オプション 文字列 -
curl --request POST \
--url 'https://olinke.com/api/projects' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Production' \
--form 'color=#ffffff' \
{
    "data": {
        "id": 1
    }
}
POST https://olinke.com/api/projects/{project_id}
パラメータ 詳細 説明
name オプション 文字列 -
color オプション 文字列 -
curl --request POST \
--url 'https://olinke.com/api/projects/{project_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Production' \
--form 'color=#000000' \
{
    "data": {
        "id": 1
    }
}
DELETE https://olinke.com/api/projects/{project_id}
curl --request DELETE \
--url 'https://olinke.com/api/projects/{project_id}' \
--header 'Authorization: Bearer {api_key}' \